# $Revision: 1.9 $, $Date: 2005/10/05 20:59:32 $
%include	/usr/lib/rpm/macros.php
%define		_class		XML
%define		_subclass	FOAF
%define		_status		alpha
%define		_pearname	%{_class}_%{_subclass}

Summary:	%{_pearname} - provides the ability to manipulate FOAF RDF/XML
Summary(pl):	%{_pearname} - przetwarzanie plikw FOAF RDF/XML
Name:		php-pear-%{_pearname}
Version:	0.2
Release:	3
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	fc90f044ef01832ab9c4999b1325bd71
URL:		http://pear.php.net/package/XML_FOAF/
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
Requires:	php-common >= 3:4.3.0
Requires:	php-pear
Requires:	php-pear-XML_Tree >= 1.1
Requires:	php-pear-XML_Beautifier >= 0.2.2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XML_FOAF allows advanced users to create advanced FOAF files.
The FOAF Project can be found at http://www.foaf-project.org/ -
XML_FOAF_Parser and XML_FOAF_Lite will follow before 1.0.

In PEAR status of this package is: %{_status}.

%description -l pl
XML_FOAF pozwala zaawansowanym uytkownikom tworzy zaawansowane pliki
FOAF. Projekt FOAF znajduje si pod adresem
http://www.foaf-project.org/. XML_FOAF_Parser i XML_FOAF_Lite uka
si przed 1.0.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%doc docs/%{_pearname}/docs/*
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php
%{php_pear_dir}/%{_class}/%{_subclass}

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-XML_FOAF.spec,v $
Revision 1.9  2005/10/05 20:59:32  glen
- rel 3

Revision 1.8  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.7  2005/10/01 00:44:20  glen
- new pear packaging

Revision 1.6  2004/12/04 14:29:44  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.5  2004/05/30 13:13:53  adamg
- fixed english information about status of the package

Revision 1.4  2004/03/15 17:44:32  ankry
- massive cosmetics

Revision 1.3  2004/01/17 19:08:59  adamg
- updated to 0.2

Revision 1.2  2004/01/08 08:59:04  qboosh
- pl

Revision 1.1  2004/01/08 00:37:04  adamg
- initial import
